package cn.com.ctop.track.mapper;

import cn.com.ctop.track.entity.MaterialUploadTask;
import com.alibaba.fastjson.JSONObject;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 同步素材任务
 *
 * @author jeecg-boot
 * 2021-10-21
 * @version V1.0
 */
public interface MaterialUploadTaskMapper extends BaseMapper<MaterialUploadTask> {

    List<Integer> getMediaList(@Param("signature") String signature);

    String getTokenByAccountId(@Param("accountId") Long accountId);

    JSONObject getVideoSize(String signature);
}
